{
  "description": "Event is a report of an event somewhere in the cluster. It generally denotes some state change in the system. Events have a limited retention time and triggers and messages may evolve with time.  Event consumers should not rely on the timing of an event with a given Reason reflecting a consistent underlying trigger, or the continued existence of events with that Reason.  Events should be treated as informative, best-effort, supplemental data.",
  "properties": {
    "action": {
      "description": "action is what action was taken/failed regarding to the regarding object. It is machine-readable. This field cannot be empty for new Events and it can have at most 128 characters.",
      "type": [
        "string",
        "null"
      ]
    },
    "apiVersion": {
      "description": "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources",
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "events.k8s.io/v1"
      ]
    },
    "deprecatedCount": {
      "description": "deprecatedCount is the deprecated field assuring backward compatibility with core.v1 Event type.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "deprecatedFirstTimestamp": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "deprecatedFirstTimestamp is the deprecated field assuring backward compatibility with core.v1 Event type."
    },
    "deprecatedLastTimestamp": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "deprecatedLastTimestamp is the deprecated field assuring backward compatibility with core.v1 Event type."
    },
    "deprecatedSource": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.EventSource",
      "description": "deprecatedSource is the deprecated field assuring backward compatibility with core.v1 Event type."
    },
    "eventTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.MicroTime",
      "description": "eventTime is the time when this Event was first observed. It is required."
    },
    "kind": {
      "description": "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds",
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "Event"
      ]
    },
    "metadata": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta",
      "description": "Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata"
    },
    "note": {
      "description": "note is a human-readable description of the status of this operation. Maximal length of the note is 1kB, but libraries should be prepared to handle values up to 64kB.",
      "type": [
        "string",
        "null"
      ]
    },
    "reason": {
      "description": "reason is why the action was taken. It is human-readable. This field cannot be empty for new Events and it can have at most 128 characters.",
      "type": [
        "string",
        "null"
      ]
    },
    "regarding": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ObjectReference",
      "description": "regarding contains the object this Event is about. In most cases it's an Object reporting controller implements, e.g. ReplicaSetController implements ReplicaSets and this event is emitted because it acts on some changes in a ReplicaSet object."
    },
    "related": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ObjectReference",
      "description": "related is the optional secondary object for more complex actions. E.g. when regarding object triggers a creation or deletion of related object."
    },
    "reportingController": {
      "description": "reportingController is the name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`. This field cannot be empty for new Events.",
      "type": [
        "string",
        "null"
      ]
    },
    "reportingInstance": {
      "description": "reportingInstance is the ID of the controller instance, e.g. `kubelet-xyzf`. This field cannot be empty for new Events and it can have at most 128 characters.",
      "type": [
        "string",
        "null"
      ]
    },
    "series": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.events.v1.EventSeries",
      "description": "series is data about the Event series this event represents or nil if it's a singleton Event."
    },
    "type": {
      "description": "type is the type of this event (Normal, Warning), new types could be added in the future. It is machine-readable. This field cannot be empty for new Events.",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "eventTime"
  ],
  "type": "object",
  "x-kubernetes-group-version-kind": [
    {
      "group": "events.k8s.io",
      "kind": "Event",
      "version": "v1"
    }
  ],
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/event/events/v1"
}